Search found 51 matches

by rosehillbob
Sun Sep 10, 2017 1:04 pm
Forum: HP/DEC/Compaq
Topic: Tru64 C++ license
Replies: 3
Views: 174

Tru64 C++ license

I am looking for a license for the C++ compiler. Does anyone have a copy? I know we are not to ask about licenses on the lists but I already tried HP and nobody knows what I am talking about. Tru64 is really dead from HP viewpoint.
by rosehillbob
Tue Sep 05, 2017 11:28 pm
Forum: IRIX and Software
Topic: ADA for Irix, or GNAT for Irix?
Replies: 2
Views: 208

Re: ADA for Irix, or GNAT for Irix?

If you hadn't found it yet GNAT for IRIX is in the Nekoware library in the obsolete archive section. The version is GCC4.3 about six year old version. If you need a later version (gnat 4.7) you can install 4.3 and then follow instruction elsewhere on Nekochan to build gcc 4.7. The only difference in...
by rosehillbob
Thu Nov 26, 2015 6:40 pm
Forum: HP/DEC/Compaq
Topic: Tru64 5.1b-6 and EV47 still a boat anchor
Replies: 9
Views: 1120

Re: Tru64 5.1b-6 and EV47 still a boat anchor

I finally did get tru64 5.1b installed. I had to use RIS running on a "emulated Alpha" with tru645.1b and NHD7 installed !
by rosehillbob
Sat Nov 21, 2015 11:23 am
Forum: HP/DEC/Compaq
Topic: Tru64 5.1b-6 and EV47 still a boat anchor
Replies: 9
Views: 1120

Re: Tru64 5.1b-6 and EV47 still a boat anchor

I am trying to install tru64 or openvms on a Alphaserver ES47 which has the EV7 processor. I have two such units I would like to get some OS on! The ES47,ES80,GS280 are the last models from DEC/Compaq/HP with a a Alpha processor and the only models with the EV7 processor.
by rosehillbob
Mon Nov 16, 2015 3:57 pm
Forum: HP/DEC/Compaq
Topic: Tru64 5.1b-6 and EV47 still a boat anchor
Replies: 9
Views: 1120

Re: Tru64 5.1b-6 and EV47 still a boat anchor

I just downloaded and checked that image it is the same as the install CD I already have. The EV7 came out in 2003 six months after that build...
by rosehillbob
Mon Nov 16, 2015 3:16 pm
Forum: HP/DEC/Compaq
Topic: Tru64 5.1b-6 and EV47 still a boat anchor
Replies: 9
Views: 1120

Tru64 5.1b-6 and EV47 still a boat anchor

I still don't have tru64 installed on a EV47. In a previous post a titled "Tru64 failing to install EV47 - makes for nice boat anchors!" I was pointed to where to download "new hardware delivery kit 7". I downloaded the file updated my RIS server but no change. It looks like my t...
by rosehillbob
Sun Nov 15, 2015 10:02 pm
Forum: HP/DEC/Compaq
Topic: Tru64 failing to install EV47 - makes for nice boat anchors!
Replies: 4
Views: 596

Tru64 failing to install EV47 - makes for nice boat anchors!

I just got two EV47's missing the hard drives. I got new drives and tried to install tru64 5.1B Well didn't get to far attempting to boot from either a CDROM or RIS server it reads the boot loader OK but hangs with "jumping to bootstrap code". I gather from from searching the need you need...
by rosehillbob
Sat Nov 14, 2015 5:15 pm
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

Re: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

I have been doing some looking into DBUS I noticed a problem with g_spawn_async (from GLIB). I also did some research and found out with the introduction of libxul with FF2.0 Mozilla is relying less and less on NSPR and more on GLIB in the UNIX ports. Glib has multiple variations of g_spawn and depe...
by rosehillbob
Sat Nov 14, 2015 11:18 am
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

Re: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

I examined the link above and the changes to xpcom basically do the same thing as the xpstubsdef file. The test program for xpcinvoke executes correctly therefore xptcall isn't where the fault lies. I did another check and this time built it with DBUS which is the default. Now the DBUS in Nekoware i...
by rosehillbob
Thu Nov 12, 2015 4:14 pm
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

Re: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

I examined the patch in the posted link and the way it decorates the function although coded although different has the same result as the current patch. The test "testxpcinvoke" works correctly so XPCOM is OK. The next thing I tried was to enable the use of DBUS which is the default build...
by rosehillbob
Wed Nov 11, 2015 6:54 pm
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

Re: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

I downloaded ff3.5.19 and diegel's patch and attempted a build. The build stopped at xpcom saying unable to build a stubsdef... file. I found the missing file in dexter1's xptcall patch. I added the file only to find it the IRIX assembly files in xptcall wouldn't assemble without error. The fault en...
by rosehillbob
Wed Nov 04, 2015 5:10 pm
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

Re: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

I just notice something interesting on the Mozilla site concerning the requirements to run Firefox version 22. It states for the Linux platform DBUS isn't required to run but is listed as a "optional library to increase performance". I next downloaded the Firefox source code for 22 and fou...
by rosehillbob
Wed Nov 04, 2015 4:26 pm
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

Re: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

Which version of firefox3.5 are you using for the build? I have 3.5.09 and with gcc it stops with message cc1 error '-march=-mips2' not compatible with the slected ABI. If try mipsPro7.4m i get 'as unrecognized option -_ASM'. I gather from the above post 'ac_add_options --disable-safe-browsing' is a...
by rosehillbob
Tue Nov 03, 2015 8:29 pm
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

Re: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

I decided to use gtk2.10.14 to do testing (yes I did test/fix a file handling bug) simply because Firefox3.5 requires gtk >=gtk2.10. I decided not try any later version simply because firefox3.5 must have gone under a lot of testing with gtk2.10 before release. The other library I need to test is DB...
by rosehillbob
Tue Nov 03, 2015 3:37 pm
Forum: SGI: Development
Topic: GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo
Replies: 25
Views: 1810

GTK+-2.10.14 working - dbus not working -Firefox3.5 limbo

I decided to take a break from porting GCC4.80 and take a look at why Firefox3.5 not working. I didn't some testing of the libraries in found faults in GTK>=2.6 and a faulty DBUS library currently in Neko beta. I have a fixed GTK2.10.14 with cairo 1.8 now. I working on DBUS now and hopefully will ha...

Go to advanced search